main, .container
{
    margin: 1rem 2rem;
    padding: 1rem 2rem;
    background-color: var(--fg-color);
    border: 1px solid var(--border-color);
    border-radius: 5px;
}
.list
{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 1rem;
    border: 1px solid var(--border-color);
    border-radius: 5px;
    padding: 0.5rem 1rem;
}

div.item
{
    display: inline-flex;
    flex-direction:column;
    border: 1px solid var(--border-color);
    border-radius: 5px;
    padding: 0.5rem 1rem;
}
div.item img
{
    max-width:100%;
}
div.item iframe
{
    width: 100%;
    aspect-ratio: 16/9;
}
div.item h3
{
    flex-grow: 1;
    font-size: x-large;
}
div.item h4
{
    color: var(--color-d);
    font-weight:bolder;
}
div.item.completed h3
{
    text-decoration: line-through;
}
#completedModules h3
{
    text-decoration: unset;
}
div.item.completed
{
    background-color: var(--color-e);
}
div.item.completed button
{
    background-color: var(--color-d);
}
div.item.completed button:hover
{
    background-color: var(--color-a);
    color: var(--color-e);
}
div.item.completed *
{
    color: var(--color-a);
}
div.item > span
{
    height:2lh;
    overflow-y:auto;
}
#courses div.item h3:hover
{
    color: var(--color-d);
    cursor: pointer;
}
div.item p.description
{
    height: 4lh;
    overflow-y: auto;
}
@media (max-width: 1600px)
{
    .list
    {
        grid-template-columns: 1fr 1fr 1fr;
    }
}
@media (max-width: 1200px)
{
    .list
    {
        grid-template-columns: 1fr 1fr;
    }
}
@media (max-width: 860px)
{
    .list
    {
        grid-template-columns: 1fr;
    }
}
@media (max-width: 500px)
{
    header.flex-row, #courseHeader
    {
        flex-direction: column;
    }
    main
    {
        margin: 0.5rem 1rem;
        padding: 0.5rem 1rem;
    }
    .list
    {
        padding: 0.1rem 0.5rem;
    }
}